

execute unless entity @a[tag=bot] run team leave @e[team=pl_1]
execute unless entity @a[tag=bot] run team leave @e[team=pl_2]
execute unless entity @a[tag=bot] as @e[tag=bot,type=!player] run function we:destroy_tank


tag @a[tag=join] add bot

execute store result score .player_count set_team if entity @a[tag=bot]
# join player into team (singleplayer)
execute if score .player_count set_team matches 1 if predicate we:player_random_team run team join pl_1 @a[team=!pl_1,team=!pl_2,limit=1,sort=random,tag=bot]
execute if score .player_count set_team matches 1 unless entity @a[team=pl_1,tag=bot] run team join pl_2 @a[team=!pl_1,team=!pl_2,limit=1,sort=random,tag=bot]

# join player into team (multiplayer)
execute if score .player_count set_team matches 2.. if entity @a[team=!pl_1,team=!pl_2] run team join pl_1 @a[team=!pl_1,team=!pl_2,limit=1,sort=random,tag=bot]
execute if score .player_count set_team matches 2.. if entity @a[team=!pl_1,team=!pl_2] run team join pl_2 @a[team=!pl_1,team=!pl_2,limit=1,sort=random,tag=bot]

# all player have a team , then add bot into team until max
execute unless entity @a[tag=join,team=!pl_1,team=!pl_2] store result score .team_1_player set_team if entity @a[tag=join,team=pl_1]
execute unless entity @a[tag=join,team=!pl_1,team=!pl_2] run scoreboard players operation .team_1_bot set_team = !playercount game
execute unless entity @a[tag=join,team=!pl_1,team=!pl_2] run scoreboard players operation .team_1_bot set_team -= .team_1_player set_team

execute unless entity @a[tag=join,team=!pl_1,team=!pl_2] store result score .team_2_player set_team if entity @a[tag=join,team=pl_2]
execute unless entity @a[tag=join,team=!pl_1,team=!pl_2] run scoreboard players operation .team_2_bot set_team = !playercount game
execute unless entity @a[tag=join,team=!pl_1,team=!pl_2] run scoreboard players operation .team_2_bot set_team -= .team_2_player set_team

execute unless entity @a[tag=join,team=!pl_1,team=!pl_2] run function we:set_bot_into_team
####


execute unless entity @e[team=!pl_1,team=!pl_2,tag=bot] run tellraw @a[tag=join] {"text":"=================","color":"black"}
execute unless entity @e[team=!pl_1,team=!pl_2,tag=bot] run tellraw @a[tag=join] {"text":"New battle has started","color":"dark_purple"}
execute unless entity @e[team=!pl_1,team=!pl_2,tag=bot] if score !playerglow game matches 1 run tellraw @a[tag=join] [{"text":"[Show Hitboxes]","color":"light_purple"},{"text":" On","color":"gray"}]
execute unless entity @e[team=!pl_1,team=!pl_2,tag=bot] if score !playerglow game matches 2 run tellraw @a[tag=join] [{"text":"[Show Hitboxes]","color":"light_purple"},{"text":" Off","color":"gray"}]
execute unless entity @e[team=!pl_1,team=!pl_2,tag=bot] if score !gamemode game matches 4 run tellraw @a[tag=join] [{"text":"[Gamemode]","color":"light_purple"},{"text":" King Of Hill","color":"gray"}]
execute unless entity @e[team=!pl_1,team=!pl_2,tag=bot] if score !gamemode game matches 3 run tellraw @a[tag=join] [{"text":"[Gamemode]","color":"light_purple"},{"text":" Flag War","color":"gray"}]
execute unless entity @e[team=!pl_1,team=!pl_2,tag=bot] if score !gamemode game matches 1 run tellraw @a[tag=join] [{"text":"[Gamemode]","color":"light_purple"},{"text":" Normal","color":"gray"}]
execute unless entity @e[team=!pl_1,team=!pl_2,tag=bot] if score !gamemode game matches 2 run tellraw @a[tag=join] [{"text":"[Gamemode]","color":"light_purple"},{"text":" Deathmatch","color":"gray"}]
execute unless entity @e[team=!pl_1,team=!pl_2,tag=bot] if score !map_this game matches 1 run tellraw @a[tag=join] [{"text":"[Map]","color":"light_purple"},{"text":" <Random>","color":"gray"}]
execute unless entity @e[team=!pl_1,team=!pl_2,tag=bot] if score !map_this game matches 2 run tellraw @a[tag=join] [{"text":"[Map]","color":"light_purple"},{"text":" Bunker","color":"gray"}]
execute unless entity @e[team=!pl_1,team=!pl_2,tag=bot] if score !map_this game matches 3 run tellraw @a[tag=join] [{"text":"[Map]","color":"light_purple"},{"text":" Ruins","color":"gray"}]
execute unless entity @e[team=!pl_1,team=!pl_2,tag=bot] if score !map_this game matches 4 run tellraw @a[tag=join] [{"text":"[Map]","color":"light_purple"},{"text":" Carrier","color":"gray"}]
execute unless entity @e[team=!pl_1,team=!pl_2,tag=bot] if score !map_this game matches 5 run tellraw @a[tag=join] [{"text":"[Map]","color":"light_purple"},{"text":" Desert","color":"gray"}]
execute unless entity @e[team=!pl_1,team=!pl_2,tag=bot] if score !map_this game matches 6 run tellraw @a[tag=join] [{"text":"[Map]","color":"light_purple"},{"text":" Forest","color":"gray"}]
execute unless entity @e[team=!pl_1,team=!pl_2,tag=bot] if score !map_this game matches 7 run tellraw @a[tag=join] [{"text":"[Map]","color":"light_purple"},{"text":" Savanna","color":"gray"}]
execute unless entity @e[team=!pl_1,team=!pl_2,tag=bot] if score !map_this game matches 8 run tellraw @a[tag=join] [{"text":"[Map]","color":"light_purple"},{"text":" Rocks","color":"gray"}]
execute unless entity @e[team=!pl_1,team=!pl_2,tag=bot] if score !map_this game matches 9 run tellraw @a[tag=join] [{"text":"[Map]","color":"light_purple"},{"text":" Islands","color":"gray"}]
execute unless entity @e[team=!pl_1,team=!pl_2,tag=bot] if score !map_this game matches 10 run tellraw @a[tag=join] [{"text":"[Map]","color":"light_purple"},{"text":" Village","color":"gray"}]
execute unless entity @e[team=!pl_1,team=!pl_2,tag=bot] if score !map_this game matches 11 run tellraw @a[tag=join] [{"text":"[Map]","color":"light_purple"},{"text":" Battle Area","color":"gray"}]

#give team tags
tag @e[tag=join,team=pl_1] add tm1
tag @e[tag=join,team=pl_2] add tm2

execute unless entity @e[team=!pl_1,team=!pl_2,tag=bot] run tellraw @a[tag=join] {"text":"=================","color":"black"}
execute unless entity @e[team=!pl_1,team=!pl_2,tag=bot] run tellraw @a[tag=join] [{"text":"[team 1] ","color":"gold"},{"selector":"@e[team=pl_1]","separator":" , ","color":"yellow"}]
execute unless entity @e[team=!pl_1,team=!pl_2,tag=bot] run tellraw @a[tag=join] {"text":"Versus","color":"gray"}
execute unless entity @e[team=!pl_1,team=!pl_2,tag=bot] run tellraw @a[tag=join] [{"text":"[team 2] ","color":"dark_aqua"},{"selector":"@e[team=pl_2]","separator":" , ","color":"aqua"}]
execute unless entity @e[team=!pl_1,team=!pl_2,tag=bot] run tellraw @a[tag=join] {"text":"=================","color":"black"}
#execute unless entity @e[team=!pl_1,team=!pl_2,tag=bot] run team join both @a[tag=bot]
execute unless entity @e[team=!pl_1,team=!pl_2,tag=bot] run tag @a remove bot

execute if entity @e[team=!pl_1,team=!pl_2,tag=bot] run function we:set_team



